List an Organization's Explore Saved Queries

ExperimentalThis API is under active development and may change.
GET /api/0/organizations/{organization_id_or_slug}/explore/saved/

Retrieve a list of saved queries that are associated with the given organization.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

per_page (integer)

Limit the number of rows to return in the result. Default and maximum allowed is 100.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

query (string)

The name of the Explore query you'd like to filter by.

sortBy (array(string))

The property to sort results by. Repeat the parameter to sort by more than one. If not specified, the results are sorted by query name.

Available fields are:

  • name
  • dateAdded
  • dateUpdated
  • mostPopular
  • recentlyViewed
  • myqueries
  • mostStarred
  • starred

Prefix name, dateAdded, dateUpdated, mostPopular or recentlyViewed with - to reverse the order.

exclude (string)
choices:
  • owned
  • shared

Leave out the queries you created (owned) or the queries others created (shared).

starred (string)
choices:
  • 1

Pass 1 to return only the queries you starred, in your starred order.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/explore/saved/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "1", "name": "Pageloads", "projects": [], "dateAdded": "2024-07-25T19:35:38.422859Z", "dateUpdated": "2024-07-25T19:35:38.422874Z", "environment": [], "query": [ { "query": "span.op:pageload", "fields": [ "span.op", "timestamp" ], "orderby": "-timestamp", "mode": "samples" } ], "statsPeriod": "24h", "dataset": "spans", "expired": false, "lastVisited": null, "starred": false, "position": null, "isPrebuilt": false, "changedReason": null, "queryPriority": "normal", "createdBy": { "id": "1", "name": "Admin", "username": "admin", "email": "admin@sentry.io", "avatarUrl": "www.example.com", "isActive": true, "isSuspended": false, "hasPasswordAuth": true, "isManaged": false, "dateJoined": "2021-10-25T17:07:33.190596Z", "lastLogin": "2024-07-16T15:28:39.261659Z", "has2fa": true, "lastActive": "2024-07-16T20:45:49.364197Z", "isSuperuser": false, "isStaff": false, "experiments": {}, "emails": [ { "id": "1", "email": "admin@sentry.io", "is_verified": true } ], "avatar": { "avatarType": "letter_avatar", "avatarUuid": null, "avatarUrl": "www.example.com" } } }, { "id": "2", "name": "Cache Gets", "projects": [], "dateAdded": "2024-07-25T19:35:38.422859Z", "dateUpdated": "2024-07-25T19:35:38.422874Z", "environment": [], "query": [ { "query": "span.op:cache.get", "fields": [ "span.op", "span.duration", "timestamp" ], "orderby": "-timestamp", "mode": "samples" } ], "statsPeriod": "24h", "dataset": "spans", "expired": false, "lastVisited": null, "starred": false, "position": null, "isPrebuilt": false, "changedReason": null, "queryPriority": "normal", "createdBy": { "id": "1", "name": "Admin", "username": "admin", "email": "admin@sentry.io", "avatarUrl": "www.example.com", "isActive": true, "isSuspended": false, "hasPasswordAuth": true, "isManaged": false, "dateJoined": "2021-10-25T17:07:33.190596Z", "lastLogin": "2024-07-16T15:28:39.261659Z", "has2fa": true, "lastActive": "2024-07-16T20:45:49.364197Z", "isSuperuser": false, "isStaff": false, "experiments": {}, "emails": [ { "id": "1", "email": "admin@sentry.io", "is_verified": true } ], "avatar": { "avatarType": "letter_avatar", "avatarUuid": null, "avatarUrl": "www.example.com" } } } ]
Was this helpful?